@article{cilibrasi2005clustering,
  title={Clustering by compression},
  author={Cilibrasi, Rudi and Vit{\'a}nyi, Paul MB},
  journal={Information Theory, IEEE Transactions on},
  volume={51},
  number={4},
  pages={1523--1545},
  year={2005},
  publisher={IEEE}
}

@inproceedings{crutchfield1996turbulent,
  title={Turbulent Landscapes: A Dialogue},
  author={Crutchfield, James Patrick and Kahn, Ned and others},
  year={1996},
  organization={Santa Fe Institute}
}

@article{eglash2016introduction,
  title={An Introduction to Generative Justice},
  author={Eglash, Ron},
  journal={Teknokultura},
  volume={13},
  number={2},
  pages={369--404},
  year={2016},
  publisher={Grupo de Investigaci{\'o}n Cibersomosaguas. Universidad Complutense de Madrid}
}

@article{eglash2014politics,
  title={On the Politics of Generative Justice: African Traditions and Maker Communities},
  author={Eglash, Ron and Foster, Ellen K},
  journal={What Do Science, Technology, and Innovation Mean from Africa},
  year={2014}
}



@article{eglash2014recursive,
author = {Eglash, Ron and Banks, David},
title = {Recursive Depth in Generative Spaces: Democratization in Three Dimension of Technosocial Self-Organization},
journaltitle = {The Information Society},
date = {2014},
issue = {30},
month = {2},
pages = {106-115},
}

@book{fenton2014software,
	author = {Fenton, Norman and Bieman, James},
	publisher = {CRC Press},
	title = {Software metrics: a rigorous and practical approach},
	year = {2014}
}

@inproceedings{france2007model,
	author = {France, Robert and Rumpe, Bernhard},
	booktitle = {2007 Future of Software Engineering},
	organization = {IEEE Computer Society},
	pages = {37--54},
	title = {Model-driven development of complex software: A research roadmap},
	year = {2007}
}

@article{garveysatoyama,
  title={Satoyama as Generative Justice: Humanity, Hybridity, and Biodiversity in a Horizontal Social Ecology},
  author={Garvey, Colin and Eglash, Ron}
}

@online{gnu2016whatis,
	author = {GNU},
	date = {01-01-2016},
	title = {What is free software?},
	url = {http://www.gnu.org/philosophy/free-sw.html},
	urldate = {2016-02-06}
}

@inproceedings{hassan2009predicting,
	author = {Hassan, Ahmed E},
	booktitle = {Proceedings of the 31st International Conference on Software Engineering},
	organization = {IEEE Computer Society},
	pages = {78--88},
	title = {Predicting faults using the complexity of code changes},
	year = {2009}
}

@article{hathawaytechniques,
	author = {Hathaway, Charles and Eglash, Ron and Krishnamoorthy, Mukkai},
	title = {TECHNIQUES FOR COMPUTER-ASSISTED GRADING IN COMPUTER SCIENCE CURRICULA}
}

@article{henry1981software,
	author = {Henry, Sallie and Kafura, Dennis},
	journal = {Software Engineering, IEEE Transactions on},
	number = {5},
	pages = {510--518},
	publisher = {IEEE},
	title = {Software structure metrics based on information flow},
	year = {1981}
}

@article{ince1988approach,
	author = {Ince, DC and Hekmatpour, S},
	journal = {Software Engineering Journal},
	number = {2},
	pages = {53--56},
	publisher = {IET},
	title = {An approach to automated software design based on product metrics},
	volume = {3},
	year = {1988}
}

@article{kafura1987use,
	author = {Kafura, Dennis and Reddy, Geereddy R.},
	journal = {IEEE Transactions on Software Engineering},
	number = {3},
	pages = {335},
	publisher = {IEEE Computer Society},
	title = {The use of software complexity metrics in software maintenance},
	volume = {13},
	year = {1987}
}

@article{kearney1986software,
	author = {Kearney, Joseph P and Sedlmeyer, Robert L and Thompson, William B and Gray, Michael A and Adler, Michael A},
	journal = {Communications of the ACM},
	number = {11},
	pages = {1044--1050},
	publisher = {ACM},
	title = {Software complexity measurement},
	volume = {29},
	year = {1986}
}

@inproceedings{kochhar2014empirical,
	author = {Kochhar, Pavneet Singh and Thung, Ferdian and Lo, David and Lawall, Julia},
	booktitle = {Software Engineering Conference (APSEC), 2014 21st Asia-Pacific},
	organization = {IEEE},
	pages = {215--222},
	title = {An empirical study on the adequacy of testing in open source projects},
	volume = {1},
	year = {2014}
}

@article{lyles2016generative,
  title={Generative Contexts: Generating value between community and educational settings},
  author={Lyles, Dan and Lachney, Michael and Foster, Ellen and Zatz, Zoe},
  journal={Teknokultura},
  volume={13},
  number={2},
  pages={613--637},
  year={2016},
  publisher={Grupo de Investigaci{\'o}n Cibersomosaguas. Universidad Complutense de Madrid}
}

@inproceedings{marinescu2005measurement,
	author = {Marinescu, Radu},
	booktitle = {Software Maintenance, 2005. ICSM'05. Proceedings of the 21st IEEE International Conference on},
	organization = {IEEE},
	pages = {701--704},
	title = {Measurement and quality in object-oriented design},
	year = {2005}
}

@book{mitchell2009complexity,
	author = {Mitchell, Melaine},
	location = {Oxford, New York},
	publisher = {Oxford University Press, Inc},
	title = {Complexity a guided tour},
	year = {2009}
}

@article{nejmeh1988npath,
	author = {Nejmeh, Brian A},
	journal = {Communications of the ACM},
	number = {2},
	pages = {188--200},
	publisher = {ACM},
	title = {NPATH: a measure of execution path complexity and its applications},
	volume = {31},
	year = {1988}
}

@inproceedings{o2012experimental,
	author = {{{\'O} Cinn{\'e}ide}, Mel and Tratt, Laurence and Harman, Mark and Counsell, Steve and {Hemati Moghadam}, Iman},
	booktitle = {Proceedings of the ACM-IEEE international symposium on Empirical software engineering and measurement},
	organization = {ACM},
	pages = {49--58},
	title = {Experimental assessment of software metrics using automated refactoring},
	year = {2012}
}

@article{pendharkar2005probabilistic,
	author = {Pendharkar, Parag C and Subramanian, Girish H and Rodger, James A},
	journal = {Software Engineering, IEEE Transactions on},
	number = {7},
	pages = {615--624},
	publisher = {IEEE},
	title = {A probabilistic model for predicting software development effort},
	volume = {31},
	year = {2005}
}

@article{prather1984axiomatic,
	author = {Prather, Ronald E.},
	journal = {The Computer Journal},
	number = {4},
	pages = {340--347},
	publisher = {Br Computer Soc},
	title = {An axiomatic theory of software complexity measure},
	volume = {27},
	year = {1984}
}

@article{shepperd1988critique,
	author = {Shepperd, Martin},
	journal = {Software Engineering Journal},
	number = {2},
	pages = {30--36},
	publisher = {IET},
	title = {A critique of cyclomatic complexity as a software metric},
	volume = {3},
	year = {1988}
}

@article{woodward1979measure,
	author = {Woodward, Martin R and Hennell, Michael and Hedley, David and others},
	journal = {Software Engineering, IEEE Transactions on},
	number = {1},
	pages = {45--50},
	publisher = {IEEE},
	title = {A measure of control flow complexity in program text},
	year = {1979}
}

@inproceedings{yin1978establishment,
	author = {Yin, BH and Winchester, JW},
	booktitle = {ACM SIGSOFT Software Engineering Notes},
	number = {5},
	organization = {ACM},
	pages = {45--52},
	title = {The establishment and use of measures to evaluate the quality of software designs},
	volume = {3},
	year = {1978}
}

@article{ref:two_case_studies,
	author = {Mockus, Audris and Fielding, Roy T. and Herbsleb, James D.},
	title = {Two Case Studies of Open Source Software Development: Apache and Mozilla}
}

@inproceedings{ref:evolution_of_jun,
	acmid = {381535},
	address = {Washington, DC, USA},
	author = {Aoki, Atsushi and Hayashi, Kaoru and Kishida, Kouichi and Nakakoji, Kumiyo and Nishinaka, Yoshiyuki and Reeves, Brent and Takashima, Akio and Yamamoto, Yasuhiro},
	booktitle = {Proceedings of the 23rd International Conference on Software Engineering},
	isbn = {0-7695-1050-7},
	location = {Toronto, Ontario, Canada},
	numpages = {10},
	pages = {524--533},
	publisher = {IEEE Computer Society},
	series = {ICSE '01},
	title = {A Case Study of the Evolution of Jun: An Object-oriented Open-source 3D Multimedia Library},
	url = {http://dl.acm.org/citation.cfm?id=381473.381535},
	year = {2001}
}

@misc{ref:gj_wiki,
	author = {Wiki},
	howpublished = {website},
	month = {08},
	note = {Wiki},
	title = {Generative Justice Wiki!},
	url = {http://generativejustice.wikispaces.com/},
	year = {2014}
}

@article{ref:open_source_network_theory,
	author = {Madey, Gregory and Freeh, Vincent and Tynan, Renee},
	journal = {AMCIS 2002 Proceedings},
	pages = {247},
	title = {The open source software development phenomenon: An analysis based on social network theory},
	year = {2002}
}

@techreport{ref:floss_report,
	author = {Ghosh, Rishab A. et al},
	institution = {University of Maastricht, The Netherlands},
	month = {June},
	number = {4},
	title = {Free/Libre and Open Source Software: Survey and Study},
	year = {2002}
}

@book{ref:penguin,
	author = {Benkler, Yocha},
	date = {2011},
	edition = {1st},
	location = {New York},
	publisher = {Crown Business},
	title = {The Penguin and the Leviathan: How Cooperation Triumphs over Self-Interest}
}

@inbook{ref:basins,
	author = {Eglash, R and Garvey, C},
	bookauthor = {Santo Banerjee, {\c S}efika {\c S}ule Er{\c c}etin, Ali Tekin},
	booktitle = {Chaos Theory in Politics Understanding Complex Systems},
	date = {2014},
	location = {Berlin},
	publisher = {Springer},
	title = {Basins of Attraction for Generative Justice}
}

@book{ref:governing_commons,
	author = {Ostrom, Elino},
	date = {1990},
	location = {Cambrdige; New York},
	publisher = {Cambridge University Press},
	title = {Governing the Commons: The Evolution of Institutions for Collective Act}
}

@article{ref:cilibrasi2005clustering,
	author = {Cilibrasi, Rudi and Vit{\'a}nyi, Paul MB},
	journal = {Information Theory, IEEE Transactions on},
	number = {4},
	pages = {1523--1545},
	publisher = {IEEE},
	title = {Clustering by compression},
	volume = {51},
	year = {2005}
}

@online{w3techs2015usage,
	author = {W3Techs},
	date = {2015-04-14},
	title = {Usage of operating systems for websites},
	url = {http://w3techs.com/technologies/overview/operating_system/all}
}

@online{mitre2013heartbleed,
	author = {MITRE},
	date = {2013-12-03},
	title = {CVE-2014-0160},
	url = {https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160}
}

@online{whittaker2014heartbleed,
	author = {Whittaker, Zack},
	date = {2014-04-08},
	title = {Heartbleed bug affects Yahoo, OKCupid sites; users face losing passwords},
	url = {http://www.zdnet.com/article/heartbleed-bug-affects-yahoo-okcupid-sites-users-face-losing-passwords/}
}

@online{brodkin2014heartbleed,
	author = {Brodkin, Jon},
	date = {2014-04-24},
	title = {Tech giants, chastened by Heartbleed, finally agree to fund OpenSSL},
	url = {http://arstechnica.com/information-technology/2014/04/tech-giants-chastened-by-heartbleed-finally-agree-to-fund-openssl/}
}

@book{sheppherd1993complexity,
	author = {Collection},
	date = {1993},
	editor = {Shepperd, Martin},
	isbn = {0-07-707410-6},
	title = {Software Engineering Metrics Volume 1: Measures and Validations}
}

@book{aho1977principles,
	author = {Aho, Alfred V and Ullman, Jeffrey D and author},
	publisher = {Addison-Wesley Reading, Mass.},
	title = {Principles of compiler design},
	volume = {21},
	year = {1977}
}

@article{phusavat2015use,
	author = {Phusavat, Kongkiti and Lertritwittya, Apinat and Helo, Petri},
	journal = {International Journal of Productivity and Quality Management},
	number = {3},
	pages = {357--380},
	publisher = {Inderscience Publishers},
	title = {Use of intellectual capital as a surrogate for productivity measurement},
	volume = {15},
	year = {2015}
}

@phdthesis{meloproductivity,
	author = {Melo, Claudia de Oliveira},
	school = {Universidade de S{\~a}o Paulo},
	title = {Productivity of agile teams: an empirical evaluation of factors and monitoring processes}
}

@inproceedings{inozemtseva2014coverage,
	author = {Inozemtseva, Laura and Holmes, Reid},
	booktitle = {Proceedings of the 36th International Conference on Software Engineering},
	organization = {ACM},
	pages = {435--445},
	title = {Coverage is not strongly correlated with test suite effectiveness},
	year = {2014}
}

@article{persson2015correlation,
	author = {Persson, Simon},
	title = {The correlation between code coverage, cyclomatic complexity and fault frequency},
	year = {2015}
}

@article{turkle1992epistemological,
	author = {Turkle, Sherry and Papert, Seymour},
	journal = {Journal of Mathematical Behavior},
	number = {1},
	pages = {3--33},
	title = {Epistemological pluralism and the revaluation of the concrete},
	volume = {11},
	year = {1992}
}

@article{etzkowitz1992athena,
	author = {Etzkowitz, Henry and Kemelgor, Carol and Neuschatz, Michael and Uzzi, Brian},
	journal = {Science and Public Policy},
	number = {3},
	pages = {157--179},
	publisher = {Oxford University Press},
	title = {Athena unbound: Barriers to women in academic science and engineering},
	volume = {19},
	year = {1992}
}

@online{freebsd2015codeofconduct,
	author = {FreeBSD},
	date = {2015-08-01},
	title = {FreeBSD Code of Conduct},
	url = {https://www.freebsd.org/internal/code-of-conduct.html},
	urldate = {2015-08-28}
}

@online{gendercomputer2015elin,
	author = {Parsj{\"o}, Elin},
	date = {2015-03-01},
	title = {Gender and Computing Panel, March 2015},
	url = {http://uu.acm.org/2015/03/gender-and-computing-panel-march-2015/},
	urldate = {2015-08-28}
}

@online{diversity2015aaron,
	author = {Dubrow, Aaron and Lyons, Jennie},
	date = {2015-03-07},
	title = {Encouraging diversity in computer science education},
	url = {http://nsf.gov/discoveries/disc_summ.jsp?cntn_id=134318&org=NSF},
	urldate = {2015-08-28}
}

@online{inclusion2015ibm,
	author = {IBM},
	date = {2015-08-28},
	title = {Diversity and Inclusion},
	url = {http://www-03.ibm.com/employment/us/diverse/},
	urldate = {2015-08-28}
}

@article{shannon2001mathematical,
	author = {Shannon, Claude Elwood},
	journal = {ACM SIGMOBILE Mobile Computing and Communications Review},
	number = {1},
	pages = {3--55},
	publisher = {ACM},
	title = {A mathematical theory of communication},
	volume = {5},
	year = {2001}
}

@inproceedings{huang2015scalable,
	author = {Huang, Wei and Dong, Yao and Milanova, Ana and Dolby, Julian},
	booktitle = {Proceedings of the 2015 International Symposium on Software Testing and Analysis},
	organization = {ACM},
	pages = {106--117},
	title = {Scalable and precise taint analysis for android},
	year = {2015}
}

@article{ciampa2013student,
	author = {Ciampa, Mark},
	journal = {Journal of Instructional Pedagogies},
	pages = {1},
	publisher = {Academic and Business Research Institute (AABRI)},
	title = {Student perceived importance and correlations of selected computer literacy course topics},
	volume = {11},
	year = {2013}
}

@incollection{eglash2017culturally,
	author = {Eglash, Ron and Babbitt, William and Bennett, Audrey and Bennett, Kathryn and Callahan, Brian and Davis, James and Drazan, John and Hathaway, Charles and Hughes, David and Krishnamoorthy, Mukkai and others},
	booktitle = {Moving Students of Color from Consumers to Producers of Technology},
	pages = {132--151},
	publisher = {IGI Global},
	title = {Culturally Situated Design Tools: Generative Justice as a Foundation for STEM Diversity},
	year = {2017}
}

@proceedings{hathaway2014generative,
	date = {2014},
	title = {How Open is Open Source? Mutation Rate as a Metric for Generative Justice }
}

@article{callahan2016quantative,
	author = {{Brian Callahan}, Charles Hathaway},
	date = {2016-11-01},
	journaltitle = {Tekno Kultura},
	number = {2},
	title = {Quantative Metrics for Generative Justice}
}

@article{alenezi2015empirical,
	author = {Alenezi, Mamdouh and Almustafa, Khaled},
	journal = {International Journal of Hybrid Information Technology},
	number = {2},
	pages = {257--266},
	title = {Empirical analysis of the complexity evolution in open-source software systems},
	volume = {8},
	year = {2015}
}

@article{banker1993software,
	author = {Banker, Rajiv D and Datar, Srikant M and Kemerer, Chris F and Zweig, Dani},
	journal = {Communications of the ACM},
	number = {11},
	pages = {81--95},
	publisher = {Association for Computing Machinery, Inc.},
	title = {Software complexity and maintenance costs},
	volume = {36},
	year = {1993}
}

@article{basili1983empirical,
	author = {Basili, Victor R and Hutchens, David H},
	journal = {Software Engineering, IEEE Transactions on},
	number = {6},
	pages = {664--672},
	publisher = {IEEE},
	title = {An empirical study of a syntactic complexity family},
	year = {1983}
}

@article{balsamo2004model,
	author = {Balsamo, Simonetta and Marco, Antinisca Di and Inverardi, Paola and Simeoni, Marta},
	journal = {Software Engineering, IEEE Transactions on},
	number = {5},
	pages = {295--310},
	publisher = {IEEE},
	title = {Model-based performance prediction in software development: A survey},
	volume = {30},
	year = {2004}
}

@inproceedings{brown2010managing,
	author = {Brown, Nanette and Cai, Yuanfang and Guo, Yuepu and Kazman, Rick and Kim, Miryung and Kruchten, Philippe and Lim, Erin and MacCormack, Alan and Nord, Robert and Ozkaya, Ipek and others},
	booktitle = {Proceedings of the FSE/SDP workshop on Future of software engineering research},
	organization = {ACM},
	pages = {47--52},
	title = {Managing technical debt in software-reliant systems},
	year = {2010}
}

@article{briand1996property,
	author = {Briand, Lionel C and Morasca, Sandro and Basili, Victor R},
	journal = {Software Engineering, IEEE Transactions on},
	number = {1},
	pages = {68--86},
	publisher = {IEEE},
	title = {Property-based software engineering measurement},
	volume = {22},
	year = {1996}
}

@article{briand1999unified,
	author = {Briand, Lionel C and Daly, John W and W{\"u}st, J{\"u}rgen K},
	journal = {Software Engineering, IEEE Transactions on},
	number = {1},
	pages = {91--121},
	publisher = {IEEE},
	title = {A unified framework for coupling measurement in object-oriented systems},
	volume = {25},
	year = {1999}
}

@article{bunge1977treatise,
	author = {Bunge, Mario},
	journal = {Reidel, Boston},
	pages = {77},
	title = {Treatise on basic philosophy: Volume 3: Ontology 1: The furniture of the world},
	year = {1977}
}

@misc{bunge1979world,
	author = {Bunge, M},
	publisher = {Dordrecht: Reidel Publishing Company},
	title = {A world of systems. Treatise on basic philosophy, Ontology 2},
	year = {1979}
}

@article{curtis1979measuring,
	author = {Curtis, Bill and Sheppard, Sylvia B and Milliman, Phil and Borst, MA and Love, Tom},
	journal = {Software Engineering, IEEE Transactions on},
	number = {2},
	pages = {96--104},
	publisher = {IEEE},
	title = {Measuring the psychological complexity of software maintenance tasks with the Halstead and McCabe metrics},
	year = {1979}
}

@article{dijkstra1968letters,
	author = {Dijkstra, Edsger W},
	journal = {Communications of the ACM},
	number = {3},
	pages = {147--148},
	publisher = {ACM},
	title = {Letters to the editor: go to statement considered harmful},
	volume = {11},
	year = {1968}
}

@incollection{huang2014type,
	author = {Huang, Wei and Dong, Yao and Milanova, Ana},
	booktitle = {Fundamental Approaches to Software Engineering},
	pages = {140--154},
	publisher = {Springer},
	title = {Type-based taint analysis for Java web applications},
	year = {2014}
}

@inproceedings{fenton2000software,
	author = {Fenton, Norman E and Neil, Martin},
	booktitle = {Proceedings of the Conference on the Future of Software Engineering},
	organization = {ACM},
	pages = {357--370},
	title = {Software metrics: roadmap},
	year = {2000}
}

@book{halstead1977elements,
	author = {Halstead, Maurice H},
	publisher = {Elsevier Science Inc.},
	title = {Elements of Software Science (Operating and programming systems series)},
	year = {1977}
}

@article{khoshgoftaar1990predicting,
	author = {Khoshgoftaar, Taghi M and Munson, John C},
	journal = {Selected Areas in Communications, IEEE Journal on},
	number = {2},
	pages = {253--261},
	publisher = {IEEE},
	title = {Predicting software development errors using software complexity metrics},
	volume = {8},
	year = {1990}
}

@article{li1993object,
	author = {Li, Wei and Henry, Sallie},
	journal = {Journal of systems and software},
	number = {2},
	pages = {111--122},
	publisher = {Elsevier},
	title = {Object-oriented metrics that predict maintainability},
	volume = {23},
	year = {1993}
}

@article{mccabe1976complexity,
	author = {McCabe, Thomas J.},
	journal = {Software Engineering, IEEE Transactions on},
	number = {4},
	pages = {308--320},
	publisher = {IEEE},
	title = {A Complexity Measure},
	volume = {SE-2},
	year = {1976}
}

@inproceedings{oviedo1993control,
	author = {Oviedo, Enrique I},
	booktitle = {Software engineering metrics I},
	organization = {McGraw-Hill, Inc.},
	pages = {52--65},
	title = {Control flow, data flow and program complexity},
	year = {1993}
}

@inproceedings{price2015comparing,
	author = {Price, Thomas W and Barnes, Tiffany},
	booktitle = {Proceedings of the eleventh annual International Conference on International Computing Education Research},
	organization = {ACM},
	pages = {91--99},
	title = {Comparing Textual and Block Interfaces in a Novice Programming Environment},
	year = {2015}
}

@inproceedings{shepperd1990multi,
	author = {Shepperd, Martin and Ince, Darrel},
	booktitle = {Proceedings of the 1990 ACM annual conference on Cooperation},
	organization = {ACM},
	pages = {76--81},
	title = {Multi-dimensional modelling and measurement of software designs},
	year = {1990}
}

@article{tao2014complexity,
	author = {Tao, Hongwei and Chen, Yixiang},
	journal = {Wuhan University Journal of Natural Sciences},
	number = {6},
	pages = {512--518},
	publisher = {Springer},
	title = {Complexity measure based on program slicing and its validation},
	volume = {19},
	year = {2014}
}

@article{wand1990ontological,
	author = {Wand, Yair and Weber, Ron},
	journal = {Software Engineering, IEEE Transactions on},
	number = {11},
	pages = {1282--1292},
	publisher = {IEEE},
	title = {An ontological model of an information system},
	volume = {16},
	year = {1990}
}

@article{weyuker1988evaluating,
	author = {Weyuker, Elaine J.},
	journal = {Software Engineering, IEEE Transactions on},
	number = {9},
	pages = {1357--1365},
	publisher = {IEEE},
	title = {Evaluating Software Complexity Measures},
	volume = {14},
	year = {1988}
}

@book{wolfgang1994design,
	author = {Wolfgang, Pree},
	publisher = {Reading, Mass.: Addison-Wesley},
	title = {Design patterns for object-oriented software development},
	year = {1994}
}

@online{opensource2015definition,
	author = {Initiative, Open Source},
	date = {2015-04-14},
	howpublished = {website},
	month = {08},
	organization = {Open Source Initiative},
	title = {The Open Source Definition},
	url = {http://opensource.org/osd},
	urldate = {2015-04-14},
	year = {2014}
}

@inproceedings{batista_collaboration_2017,
	author = {Batista, Nat{\'e}rcia A. and Brand{\~a}o, Michele A. and Alves, Gabriela B. and da Silva, Ana Paula Couto and Moro, Mirella M.},
	doi = {10.1145/3106426.3106480},
	file = {p170-batista.pdf:/home/charles/Zotero/storage/8R43DF7M/p170-batista.pdf:application/pdf},
	isbn = {978-1-4503-4951-2},
	language = {en},
	pages = {170--178},
	publisher = {ACM Press},
	title = {Collaboration strength metrics and analyses on {GitHub}},
	url = {http://dl.acm.org/citation.cfm?doid=3106426.3106480},
	urldate = {2017-10-12},
	year = {2017}
}

@article{roberge2004usefulness,
	author = {ROBERGE, JEAN-MICHEL and Angelstam, PER},
	journal = {Conservation Biology},
	number = {1},
	pages = {76--85},
	publisher = {Wiley Online Library},
	title = {Usefulness of the umbrella species concept as a conservation tool},
	volume = {18},
	year = {2004}
}

@article{mills1993keystone,
	author = {Mills, L Scott and Soul{\'e}, Michael E and Doak, Daniel F},
	journal = {BioScience},
	number = {4},
	pages = {219--224},
	publisher = {JSTOR},
	title = {The keystone-species concept in ecology and conservation},
	volume = {43},
	year = {1993}
}

@inproceedings{munson1991use,
	author = {Munson, John C and Khoshgoftaar, Taghi M},
	booktitle = {Software Reliability Engineering, 1991. Proceedings., 1991 International Symposium on},
	organization = {IEEE},
	pages = {2--11},
	title = {The use of software complexity metrics in software reliability modeling},
	year = {1991}
}

@article{lutellier2017measuring,
	author = {Lutellier, Thibaud and Chollak, Devin and Garcia, Joshua and Tan, Lin and Rayside, Derek and Medvidovic, Nenad and Kroeger, Robert},
	journal = {IEEE Transactions on Software Engineering},
	publisher = {IEEE},
	title = {Measuring the Impact of Code Dependencies on Software Architecture Recovery Techniques},
	year = {2017}
}

@incollection{mens2014studying,
	author = {Mens, Tom and Claes, Ma{\'a}lick and Grosjean, Philippe and Serebrenik, Alexander},
	booktitle = {Evolving Software Systems},
	pages = {297--326},
	publisher = {Springer},
	title = {Studying evolving software ecosystems based on ecological models},
	year = {2014}
}

@online{olivera2017mvnrepository,
	author = {Olivera, Fernando R.},
	date = {2017-09-24},
	title = {mvnrepository},
	url = {https://mvnrepository.com/},
	urldate = {2017-09-24}
}

@inproceedings{rosenberg_misconceptions_1997,
	author = {Rosenberg, Jarrett},
	booktitle = {Software Metrics Symposium, 1997. Proceedings., Fourth International},
	date = {1997},
	file = {00637174.pdf:C\:\\Users\\Charles Hathaway\\AppData\\Roaming\\Zotero\\Zotero\\Profiles\\ah7hmzyw.default\\zotero\\storage\\TJ6Q9SUK\\00637174.pdf:application/pdf},
	pages = {137--142},
	publisher = {{IEEE}},
	title = {Some misconceptions about lines of code}
}

@misc{software_metrics_framework,
	author = {Hathaway, Charles},
	eprint = {arXiv:1711.06322},
	title = {Software Metric Framework},
	year = {2017}
}

@inproceedings{tang_empirical_1999,
	author = {Tang, Mei-Huei and Kao, Ming-Hung and Chen, Mei-Hwa},
	booktitle = {Software Metrics Symposium, 1999. Proceedings. Sixth International},
	date = {1999},
	file = {AnEmpiricalStudyOnObjectOrientedMetrics.pdf:C\:\\Users\\Charles Hathaway\\AppData\\Roaming\\Zotero\\Zotero\\Profiles\\ah7hmzyw.default\\zotero\\storage\\FBWIZURW\\AnEmpiricalStudyOnObjectOrientedMetrics.pdf:application/pdf},
	pages = {242--249},
	publisher = {{IEEE}},
	title = {An empirical study on object-oriented metrics}
}

@article{subramanyam2003empirical,
	author = {Subramanyam, Ramanath and Krishnan, Mayuram S.},
	date = {2003},
	file = {empirical_analysis_of_ck_metrics_for_object_oriented_design_complexity.pdf:C\:\\Users\\Charles Hathaway\\AppData\\Roaming\\Zotero\\Zotero\\Profiles\\ah7hmzyw.default\\zotero\\storage\\59D7X39S\\empirical_analysis_of_ck_metrics_for_object_oriented_design_complexity.pdf:application/pdf},
	journal = {Software Engineering, IEEE Transactions on},
	journaltitle = {{IEEE} Transactions on software engineering},
	number = {4},
	pages = {297--310},
	publisher = {IEEE},
	shorttitle = {Empirical analysis of ck metrics for object-oriented design complexity},
	title = {Empirical analysis of ck metrics for object-oriented design complexity: Implications for software defects},
	url = {http://ieeexplore.ieee.org/abstract/document/1191795/},
	urldate = {2017-05-10},
	volume = {29},
	year = {2003}
}

@article{chidamber1994metrics,
	author = {Chidamber, Shyam R and Kemerer, Chris F},
	journal = {Software Engineering, IEEE Transactions on},
	number = {6},
	pages = {476--493},
	publisher = {IEEE},
	title = {A metrics suite for object oriented design},
	volume = {20},
	year = {1994}
}

@article{fenton1999software,
	author = {Fenton, Norman E. and Neil, Martin},
	date = {1999},
	file = {software metrics future directions.pdf:C\:\\Users\\Charles Hathaway\\AppData\\Roaming\\Zotero\\Zotero\\Profiles\\ah7hmzyw.default\\zotero\\storage\\CIMNWEA3\\software metrics future directions.pdf:application/pdf},
	journal = {Journal of Systems and Software},
	journaltitle = {Journal of Systems and Software},
	number = {2},
	pages = {149--157},
	publisher = {Elsevier},
	shorttitle = {Software metrics},
	title = {Software metrics: successes, failures and new directions},
	url = {http://www.sciencedirect.com/science/article/pii/S0164121299000357},
	urldate = {2017-05-10},
	volume = {47},
	year = {1999}
}

